from pathlib import Path
from typing import Optional
from pydantic import BaseSettings, AnyHttpUrl, EmailStr

class Config(BaseSettings):
    MASTO_URL:AnyHttpUrl
    MASTO_TOKEN: Optional[str] = None
    LOGDIR:Path = Path().home() / '.mastotools'

    class Config:
        env_file = '.env'
        env_file_encoding = 'utf-8'